<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SkillsFormulas](./bitburner.skillsformulas.md) &gt; [calculateExp](./bitburner.skillsformulas.calculateexp.md)

## SkillsFormulas.calculateExp() method

Calculate exp for skill level.

**Signature:**

```typescript
calculateExp(skill: number, skillMult?: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

skill


</td><td>

number


</td><td>

target skill level


</td></tr>
<tr><td>

skillMult


</td><td>

number


</td><td>

_(Optional)_ Multiplier for that skill, defaults to 1.


</td></tr>
</tbody></table>

**Returns:**

number

The calculated exp required.

